# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "pgnparse"
version = "0.1.14"
authors = ["hyperchessbot <hyperchessbot@gmail.com>"]
default-run = "usage"
description = "Parse PGN to Rust struct ( headers as hash map, main line moves as san, uci, fen, epd records ) or to JSON. All lichess variants are supported. Custom starting position using FEN header is supported."
homepage = "https://github.com/hyperchessbot/pgnparse#pgnparse"
documentation = "https://docs.rs/pgnparse/0.1.14"
readme = "ReadMe.md"
keywords = ["pgn", "parse", "rust", "json"]
license = "MIT"
repository = "https://github.com/hyperchessbot/pgnparse"

[lib]

[[bin]]
name = "usage"
path = "src/usage.rs"

[[bin]]
name = "advanced"
path = "src/advanced.rs"
[dependencies.env_logger]
version = "0.8.2"

[dependencies.log]
version = "0.4.11"

[dependencies.pgn-reader]
version = "0.16.0"

[dependencies.rand]
version = "0.8.0"

[dependencies.serde]
version = "1.0.118"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.61"

[dependencies.shakmaty]
version = "0.17.1"
